# Review at https://bugzilla.redhat.com/show_bug.cgi?id=540034

#%global alphatag 20091231svn2262

Name:           lxdm
Version:        0.1.0
Release:        3%{?_dist_release}
Summary:        Lightweight X11 Display Manager
Summary(ja):    軽量な X11 ディスプレイマネージャ

Group:          User Interface/Desktops
License:        GPLv2+ and LGPLv2+
URL:            http://lxde.org
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
## distro specific patches ##
# we use tty1 by default
#Patch10:        lxdm-svn2145-tty1-patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  ConsoleKit-devel
BuildRequires:  intltool >= 0.40.0
BuildRequires:  libXmu-devel
BuildRequires:  pam-devel
Requires:       pam
Requires:       /sbin/shutdown
Requires:       desktop-backgrounds
# needed for anaconda to boot into runlevel 5 after install
Provides:       service(graphical-login)


%description
LXDM is the future display manager of LXDE, the Lightweight X11 Desktop 
environment. It is designed as a lightweight alternative to replace GDM or 
KDM in LXDE distros. It's still in very early stage of development.

%description -l ja
LXDM は LXDE - Lightweight X11 Desktop environment - の次世代型
ディスプレイマネージャです。これは LXDE のディストリビューションで
GDM あるいは KDM を置き換える軽量化の代替手段として設計されています。
LXDM はまだ開発のごく初期の段階にあります。

%prep
%setup -q
#%patch10 -p1 -b .tty7


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}



%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO gpl-2.0.txt lgpl-2.1.txt
%dir %{_sysconfdir}/lxdm
%{_sysconfdir}/lxdm/Xsession
%config(noreplace) %{_sysconfdir}/lxdm/lxdm.conf
%{_sysconfdir}/pam.d/*
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-3
- applied new naming policy to spec

* Wed Feb 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-2
- dropt Patch10
- added Japanese description
- added %doc in %files section

* Tue Feb 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-1
- initial build for VineSeed

* Fri Jan 08 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Update to 0.1.0
- Change license to GPLv2+ and LGPLv2+
- Use tty1 by default
- PAM fixes for SELinux (#552885)

* Mon Nov 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.2.20091116svn2145
- Review fixes

* Mon Nov 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091116svn2145
- Update to SVN release 2145

* Thu Nov 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091105svn2132
- Update to SVN release 2132

* Sat Oct 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091031svn2100
- Update to SVN release 2100

* Tue Oct 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091020svn2082
- Update to SVN release 2082

* Fri Sep 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.2-1
- Initial Fedora package
