# Review: https://bugzilla.redhat.com/show_bug.cgi?id=498130

Name:           lxinput
Version:        0.1.1
Release:        1%{?_dist_release}
Summary:        Keyboard and mouse configuration utility for LXDE
Summary(ja):        LXDEのキーボードとマウスの設定ユーティリティ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  gettext intltool desktop-file-utils pkgconfig
BuildRequires:  perl-XML-Parser
Requires:       lxde-settings-daemon

%description
LXInput is a keyboard and mouse configuration utility for LXDE, the 
Lightweight X11 Desktop Environment.

%description -l ja
LXInputはLXDEのキーボードとマウスの設定ユーティリティです。

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install                                       \
  --delete-original                                        \
  --remove-only-show-in=LXDE                               \
  --add-category=X-LXDE                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
#FIXME: add ChangeLog and NEWS if there is content
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/*


%changelog
* Thu Jul 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-1
- new upstream release
- added %{_datadir}/man/* in %files

* Fri Jun 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-1
- initial build for VineSeed

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1-1
- Initial Fedora package
